turf
	icon = 'turf.dmi'

turf/minigame/demo_game
	icon_state = "demogamedir0"
	GameBumped(mob/M)
		if(!M.client) return	// NPCs don't get to play!
		viewers(world.view,M) << "[M] drops a quarter into [src] and \
			begins to play."
		M.client.Game = src
		icon_state = "demogamedir0"
		usr = M
		instructions()

	instructions()
		var/html = "<ul><li>Bump [src] to begin play.</li>\
			<li>Move the arrow keys or click the game console to see \
			how it reacts to your input.</li>\
			<li>Press Esc at any time to quit.</li>"
		usr << browse(html,"window=instructions")

	MouseUp(location,icon_x,icon_y)
		if(usr.client && (usr.client.Game == src))
			var/Dir = 0
			if(icon_x<11) Dir |= WEST
			else if(icon_x>21) Dir |= EAST
			if(icon_y<11) Dir |= SOUTH
			else if(icon_y>21) Dir |= NORTH
			flick("click",src)
			PlayerInput(usr,Dir)

	PlayerInput(mob/M, Dir)
		if(Dir)
			icon_state = "demogame"
			dir = Dir
		else
			icon_state = "demogamedir0"

	Quit(mob/M)
		viewers(world.view,M) << "[M] steps back from [src], dazed by \
			the immersive gameplay."
		icon_state = "gameover"
mob
	icon = 'mob.dmi'