/* USING SINGLE TILE MINIGAMES

This document explains how to use a Single Tile Minigame, STM for short,
designed with this library into an existing game world with little or no
fuss.

Step to include an STM in your game:
	1) Include the library for the STM of your choice.

	2) If your game has any commands for objects of type /atom/movable,
		you may need to make sure they do not affect objects of type
		/atom/movable/minigame_piece.

		For example, if movable atoms have a get() verb in a particular
		game, the developer can hide it and keep it from working on
		minigame_pieces by including this in their code: (The indentation
		must be corrected when you place it in your code.)

			atom/movable/minigame_piece/get()
				set hidden = 1	// hide this verb
				return			// do nothing

	3) Compile the project so that you may access the minigame in the map
		editor.

	4) Use the Dream Maker map editor to place the minigame wherever you
		like on the map.

	5) Compile and enjoy!

Please provide a link to this library
(http://developer.byond.com/hub/Shadowdarke/SingleTileMinigameBase)
on your STM's hub page.
*/